GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_transport Struct Reference

`#include <internal.h>`

## Data Fields
grpc_transport | base
grpc_endpoint * | ep
grpc_mdctx * | metadata_context
gpr_refcount | refs
char * | peer_string
gpr_mu | mu
gpr_uint8 | destroying
| is the transport destroying itself? More...
gpr_uint8 | closed
| has the upper layer closed the transport? More...
gpr_uint8 | writing_active
| is a thread currently writing More...
gpr_uint8 | parsing_active
| is a thread currently parsing More...
gpr_uint8 | endpoint_reading
| is there a read request to the endpoint outstanding? More...
grpc_chttp2_stream_list | lists [STREAM_LIST_COUNT]
| various lists of streams More...
grpc_chttp2_transport_global | global
| global state for reading/writing More...
grpc_chttp2_transport_writing | writing
| state only accessible by the chain of execution that set writing_active=1 More...
grpc_chttp2_transport_parsing | parsing
| state only accessible by the chain of execution that set parsing_active=1 More...
grpc_chttp2_stream_map | parsing_stream_map
| maps stream id to grpc_chttp2_stream objects; owned by the parsing thread when parsing More...
grpc_chttp2_stream_map | new_stream_map
| streams created by the client (possibly during parsing); merged with parsing_stream_map during unlock when no parsing is occurring More...
grpc_iomgr_closure | writing_action
| closure to execute writing More...
grpc_iomgr_closure | reading_action
| closure to start reading from the endpoint More...
grpc_chttp2_stream ** | accepting_stream
| address to place a newly accepted stream - set and unset by grpc_chttp2_parsing_accept_stream; used by init_stream to publish the accepted server stream More...
struct {
void(* accept_stream )(void *user_data, grpc_transport *transport, const void *server_data)
void * accept_stream_user_data
grpc_connectivity_state_tracker state_tracker
| connectivity tracking More...
} | channel_callback

## Field Documentation

void(* grpc_chttp2_transport::accept_stream)(void *user_data, grpc_transport *transport, const void *server_data)

void* grpc_chttp2_transport::accept_stream_user_data

grpc_chttp2_stream** grpc_chttp2_transport::accepting_stream

address to place a newly accepted stream - set and unset by grpc_chttp2_parsing_accept_stream; used by init_stream to publish the accepted server stream

grpc_transport grpc_chttp2_transport::base

struct { ... } grpc_chttp2_transport::channel_callback

gpr_uint8 grpc_chttp2_transport::closed

has the upper layer closed the transport?

gpr_uint8 grpc_chttp2_transport::destroying

is the transport destroying itself?

gpr_uint8 grpc_chttp2_transport::endpoint_reading

is there a read request to the endpoint outstanding?

grpc_endpoint* grpc_chttp2_transport::ep

grpc_chttp2_transport_global grpc_chttp2_transport::global

global state for reading/writing

grpc_chttp2_stream_list grpc_chttp2_transport::lists[STREAM_LIST_COUNT]

various lists of streams

grpc_mdctx* grpc_chttp2_transport::metadata_context

gpr_mu grpc_chttp2_transport::mu

grpc_chttp2_stream_map grpc_chttp2_transport::new_stream_map

streams created by the client (possibly during parsing); merged with parsing_stream_map during unlock when no parsing is occurring

grpc_chttp2_transport_parsing grpc_chttp2_transport::parsing

state only accessible by the chain of execution that set parsing_active=1

gpr_uint8 grpc_chttp2_transport::parsing_active

is a thread currently parsing

grpc_chttp2_stream_map grpc_chttp2_transport::parsing_stream_map

maps stream id to grpc_chttp2_stream objects; owned by the parsing thread when parsing

char* grpc_chttp2_transport::peer_string

grpc_iomgr_closure grpc_chttp2_transport::reading_action

closure to start reading from the endpoint

gpr_refcount grpc_chttp2_transport::refs

grpc_connectivity_state_tracker grpc_chttp2_transport::state_tracker

connectivity tracking

grpc_chttp2_transport_writing grpc_chttp2_transport::writing

state only accessible by the chain of execution that set writing_active=1

grpc_iomgr_closure grpc_chttp2_transport::writing_action

closure to execute writing

gpr_uint8 grpc_chttp2_transport::writing_active

is a thread currently writing

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/internal.h